%define __pythonver 3.11
%define __pythonrel 8

Summary: A set of python3 modules and tools for HEP
Name: python3-forhep
Version: %{__pythonver}.%{__pythonrel}
Release: 14%{?dist}2a
License: PSF
Group: Development/Languages
BuildRequires: python3-pip >= 3.8.0
BuildRequires: python3 >= 3.8.0
Requires: python3 >= 3.8.0
#BuildArch: noarch
Vendor:       HEPonX
Distribution: HEPonX

%description
This package include python3 modules and tools for HEP, including
numpy scipy matplotlib ipython jupyter pandas sympy nose.

%prep
%setup -T -c python3-forhep

%build
%{_bindir}/pip3 install --root=`pwd` --prefix=/opt/osxws numpy scipy matplotlib ipython jupyter pandas sympy nose
%{_bindir}/pip3 install --root=`pwd` --prefix=/opt/osxws pillow
%{_bindir}/pip3 install --root=`pwd` --prefix=/opt/osxws pydicom
(
 cd .%{_prefix}
 mv man/man1/* share/man/man1/ 
 rm -rf man
)

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cp -a opt $RPM_BUILD_ROOT


%clean
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, wheel)
%{_bindir}/*
%{_libdir}/python%{__pythonver}/*
%{_datadir}/*
%{_sysconfdir}/*


%changelog
* Fri Dec 14 2024 Keisuke Fujii <keisuke.fujii@kek.jp> 3.11.8-14hepx2a
- 1st release on MacOS 14

* Mon Nov 6 2023 Keisuke Fujii <keisuke.fujii@kek.jp> 3.11.2-13hepx2b
- added pillow and pydicom
- 2nd release on MacOS 13

* Fri Nov 3 2023 Keisuke Fujii <keisuke.fujii@kek.jp> 3.11.2-13hepx2a
- 1st release on MacOS 13

* Thu Mar 10 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 3.8.12-12hepx1b
- 2nd release on MacOS 12 for Intel Macs

* Sun Feb 27 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 3.8.12-12hepx1a
- 1st release on MacOS 12 for M1 Macs
